--- title: "Retrieve a revision's rendered artifact" canonical: "https://admiral.io/docs/api/changesets/ChangeSetAPI_GetArtifact" --- # Retrieve a revision's rendered artifact `GET https://api.admiral.io/v1/changesets/{change_set_id}/revisions/{revision}/artifact` Scope: `changeset:read` ### Path parameters - `change_set_id` (string, required): The change_set_id path parameter. Pattern `^cs-[0-9a-z]+$`. - `revision` (string, required): The revision: its number, or its `rev-` id. Pattern `^([1-9][0-9]{0,8}|rev-[0-9a-z]+)$`. ### Response 200 Success - `artifact_digest` (string): `sha256:` of the artifact as stored, before masking. - `artifact` (string (byte)): The artifact, a gzipped tar, with sensitive values masked.